/*
* chsums/2q3gV-static.cpp
*
* This file is part of NJet library
* Copyright (C) 2011, 2012 NJet Collaboration
*
* This software is distributed under the terms of the GNU General Public License (GPL)
*/

#include "2q3gV.h"

// class Amp2q3gVStatic

const int
Amp2q3gVStatic::HSarr[HS][HSNN] = {
  { 1,-1,-1,-1,-1, 1},
  { 1,-1,-1,-1, 1, 1},
  { 1,-1,-1, 1,-1, 1},
  { 1,-1,-1, 1, 1, 1},
  { 1,-1, 1,-1,-1, 1},
  { 1,-1, 1,-1, 1, 1},
  { 1,-1, 1, 1,-1, 1},
  { 1,-1, 1, 1, 1, 1}
};

// class Amp2q3gVStatic

const int
Amp2q3gZStatic::HSarr[HS][HSNN] = {
  { 1,-1,-1,-1,-1,-1},
  { 1,-1,-1,-1, 1,-1},
  { 1,-1,-1, 1,-1,-1},
  { 1,-1,-1, 1, 1,-1},
  { 1,-1, 1,-1,-1,-1},
  { 1,-1, 1,-1, 1,-1},
  { 1,-1, 1, 1,-1,-1},
  { 1,-1, 1, 1, 1,-1},
  { 1,-1,-1,-1,-1, 1},
  { 1,-1,-1,-1, 1, 1},
  { 1,-1,-1, 1,-1, 1},
  { 1,-1,-1, 1, 1, 1},
  { 1,-1, 1,-1,-1, 1},
  { 1,-1, 1,-1, 1, 1},
  { 1,-1, 1, 1,-1, 1},
  { 1,-1, 1, 1, 1, 1},
  {-1, 1,-1,-1,-1,-1},
  {-1, 1,-1,-1, 1,-1},
  {-1, 1,-1, 1,-1,-1},
  {-1, 1,-1, 1, 1,-1},
  {-1, 1, 1,-1,-1,-1},
  {-1, 1, 1,-1, 1,-1},
  {-1, 1, 1, 1,-1,-1},
  {-1, 1, 1, 1, 1,-1},
  {-1, 1,-1,-1,-1, 1},
  {-1, 1,-1,-1, 1, 1},
  {-1, 1,-1, 1,-1, 1},
  {-1, 1,-1, 1, 1, 1},
  {-1, 1, 1,-1,-1, 1},
  {-1, 1, 1,-1, 1, 1},
  {-1, 1, 1, 1,-1, 1},
  {-1, 1, 1, 1, 1, 1},
};
